Bug 252374 - ethernet cards are being detected in the wrong order.
ethernet cards are being detected in the wrong order.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.9
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2007-08-15 13:32 EDT by Allen Berg
Modified: 2011-01-24 10:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-24 10:01:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Allen Berg 2007-08-15 13:32:04 EDT
Description of problem:
We have created a kickstart for our Sun Fire x4100 servers.  When we boot them 
up and look at the network config eth2 says that its eth0 eth0 says that its 
eth2, eth3 says its eth1 and eth3 says that its eth1.  eth2 and eth1 are Intel 
and eth0 and eth3 are NVIDIA cards.  What has likely happened is that the 
broadcom and nvidia drivers have been loaded in the wrong order.  


Version-Release number of selected component (if applicable): 5.0


How reproducible: auto detect using kickstart


Steps to Reproduce:
1.  run kickstart 
2. run network configuration
3.
  
Actual results:
eht0 is detected as eth2
Eth2 is detected as eth0
eth1 is detected as eth3
eth3 is detected as eth1


Expected results:

eth0 = eth0
eth2 = eth2
eth1 = eth1
eth3 = eth3

Additional info:  We can manually set them up using the network configuration 
tool but that does not allow us to automate the deployment and build of the 
kickstart.  How can we get the nvidia and broadcom drivers to load in the 
proper order?
Comment 1 Miroslav Suchý 2011-01-23 06:59:34 EST
This is IMHO rather anaconda bug. From date I'm just guessing it is RHEL4.
Comment 2 Chris Lumens 2011-01-24 10:01:45 EST
anaconda is no longer an approved component for RHEL4.

Note You need to log in before you can comment on or make changes to this bug.